# classes/phing/tasks/system/PhingCallTask.php

Call another target in the same project.

``

This only works as expected if neither property1 nor foo are defined in the project itself.

access
  public
author
  Andreas Aderhold
copyright
  2001,2002 THYRELL. All rights reserved
package
  phing.tasks.system
version
  $Revision: 552 $

## \PhingCallTask
jump to top

Call another target in the same project.

``

This only works as expected if neither property1 nor foo are defined in the project itself.

Extends from
  \Task
access
  public
author
  Andreas Aderhold
copyright
  2001,2002 THYRELL. All rights reserved
package
  phing.tasks.system
version
  $Revision: 552 $

### Properties

`\PhingTask $callee= ''`

The called Phing task.

Details

Type
  \PhingTask

`boolean $inheritAll= 'true'`

Whether to inherit all properties from current project.

Default value `true` Details

Type
  boolean

`boolean $inheritRefs= 'false'`

Whether to inherit refs from current project.

Default value `false` Details

Type
  boolean

`string $subTarget= ''`

The target to call.

Details

Type
  string

### Methods

`createParam( ) :`
Alias for createProperty
Details

see
  \createProperty()

`createProperty( ) :`
Property to pass to the invoked target.
`init( ) :`
init this task by creating new instance of the phing task and configuring it's by calling its own init method.
`main( ) :`
hand off the work to the phing task of ours, after setting it up

@throws BuildException on validation failure or if the target didn't execute

`setInheritAll( boolean $inherit ) :`
If true, pass all properties to the new Phing project.

Defaults to true. Future use.

Parameters

Name | Type | Description
--- | --- | ---
$inherit | boolean | new value

`setInheritRefs( boolean $inheritRefs ) :`
If true, pass all references to the new Phing project.

Defaults to false. Future use.

Parameters

Name | Type | Description
--- | --- | ---
$inheritRefs | boolean | new value

`setTarget( $target ) :`
Target to execute, required.
Parameters

Name | Type | Description
--- | --- | ---
$target |  |

Documentation was generated by DocBlox 0.13.1.